import { preProcessing as e } from "../crypto/preProcessing.mjs";
import "../crypto/index.mjs";
import t from "./EthersProviderAdapter.mjs";
import { Hinkal as n } from "../data-structures/Hinkal/Hinkal.mjs";
import "../data-structures/index.mjs";
//#region libs/shared/common/src/providers/prepareEthersHinkal.ts
var r = async (r, i) => {
	await e();
	let a = new n(i), o = t();
	return o.initSigner?.(r), await a.initProviderAdapter(void 0, o), await a.initUserKeys(), await a.resetMerkle(), a;
};
//#endregion
export { r as prepareEthersHinkal };
